function productivitymodulelimitation()
return {"sulfuric-acid",
        "basic-oil-processing",
        "advanced-oil-processing",
        "heavy-oil-cracking",
        "light-oil-cracking",
        "solid-fuel-from-light-oil",
        "solid-fuel-from-heavy-oil",
        "solid-fuel-from-petroleum-gas",
        "lubricant",
        "iron-plate",
        "copper-plate",
        "steel-plate",
        "stone-brick",
        "sulfur",
        "plastic-bar",
        "empty-barrel",
        "iron-stick",
        "iron-gear-wheel",
        "copper-cable",
        "electronic-circuit",
        "advanced-circuit",
        "engine-unit",
        "electric-engine-unit",
        "processing-unit",
        "explosives",
        "battery",
        "flying-robot-frame",
        "science-pack-1",
        "science-pack-2",
        "science-pack-3",
        "alien-science-pack",
        "low-density-structure",
        "rocket-fuel",
        "rocket-control-unit",
        "rocket-part",
        
        "alien-cpu",
        "science-pack-5",
        "alien-extract"
      }
end

data:extend(
{
  {
    type = "module",
    name = "speed-module-4",
    icon = "__gimprovements__/graphics/icons/speed-module-4.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "speed",
    tier = 4,
    order = "a[speed]-d[speed-module-4]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { speed = {bonus = 0.75}, consumption = {bonus = 0.9}, pollution = {bonus = 0.15}}
  },
  {
    type = "module",
    name = "productivity-module",
    icon = "__base__/graphics/icons/productivity-module.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "productivity",
    tier = 1,
    order = "c[productivity]-a[productivity-module-1]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { productivity = {bonus = 0.1}, consumption = {bonus = 0.4}, pollution = {bonus = 0.25}, speed = {bonus = -0.15}},
    limitation = productivitymodulelimitation(),
    limitation_message_key = "production-module-usable-only-on-intermediates"
  },
  {
    type = "module",
    name = "productivity-module-2",
    icon = "__base__/graphics/icons/productivity-module-2.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "productivity",
    tier = 2,
    order = "c[productivity]-b[productivity-module-2]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { productivity = {bonus = 0.15}, consumption = {bonus = 0.6}, pollution = {bonus = 0.25}, speed = {bonus = -0.10}},
    limitation = productivitymodulelimitation(),
    limitation_message_key = "production-module-usable-only-on-intermediates"
  },
  {
    type = "module",
    name = "productivity-module-3",
    icon = "__base__/graphics/icons/productivity-module-3.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "productivity",
    tier = 3,
    order = "c[productivity]-c[productivity-module-3]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { productivity = {bonus = 0.25}, consumption = {bonus = 0.8}, pollution = {bonus = 0.25}, speed = {bonus = -0.05}},
    limitation = productivitymodulelimitation(),
    limitation_message_key = "production-module-usable-only-on-intermediates"
  }
}
)