data:extend
(
  {
    {
      type = "land-mine",
      name = "land-mine",
      icon = "__base__/graphics/icons/land-mine.png",
      flags =
      {
        "placeable-player",
        "placeable-enemy",
        "player-creation",
        "placeable-off-grid"
      },
      minable = {mining_time = 1, result = "land-mine"},
      max_health = 15,
      corpse = "small-remnants",
      collision_box = {{-0.4,-0.4}, {0.4, 0.4}},
      selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      dying_explosion = "explosion-hit",
      picture_safe =
      {
        filename = "__base__/graphics/entity/land-mine/land-mine.png",
        priority = "medium",
        width = 32,
        height = 32
      },
      picture_set =
      {
        filename = "__base__/graphics/entity/land-mine/land-mine-set.png",
        priority = "medium",
        width = 32,
        height = 32
      },
      trigger_radius = 3,
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
            {
              type = "nested-result",
              affects_target = true,
              action =
              {
                type = "area",
                perimeter = 7.5,
                collision_mask = { "player-layer" },
                action_delivery =
                {
                  type = "instant",
                  target_effects =
                  {
                    type = "damage",
                    damage = { amount = 360, type = "explosion"}
                  }
                }
              },
            },
            {
              type = "create-entity",
              entity_name = "explosion"
            },
            {
              type = "damage",
              damage = { amount = 1000, type = "explosion"}
            }
          }
        }
      },
    }
  }
)