data:extend(
  {
    {
      type = "gun",
      name = "buggy-gun",
      icon = "__base__/graphics/icons/submachine-gun.png",
      flags = {"goes-to-main-inventory"},
      subgroup = "gun",
      order = "a[basic-clips]-b[buggy-gun]",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "bullet",
        cooldown = 12, -- 60 / [Cooldown] = shots per second
        damage_modifier = 3, --[1]
        movement_slow_down_factor = 0.7, --[0.7]
        shell_particle =
        {
          name = "shell-particle",
          direction_deviation = 0.1,
          speed = 0.1, --[0.1]
          speed_deviation = 0.03,
          center = {0, 0},
          creation_distance = -0.6875,
          starting_frame_speed = 0.4,
          starting_frame_speed_deviation = 0.1
        },
        projectile_creation_distance = 0.65,
        range = 18,
        sound = make_heavy_gunshot_sounds(),
      },
      stack_size = 1
    },
    {
      type = "gun",
      name = "mini-nuke-launcher",
      icon = "__base__/graphics/icons/rocket-launcher.png",
      flags = {"goes-to-main-inventory"},
      subgroup = "gun",
      order = "d[rocket-launcher]-a[mini-nuke-launcher]",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "mini-nuke", --zmenit na NUKE
        movement_slow_down_factor = 0.9,
        cooldown = 180,
        projectile_creation_distance = 0.6,
        range = 30,
        projectile_center = {-0.17, 0},
        sound =
        {
          {
            filename = "__base__/sound/fight/rocket-launcher.ogg",
            volume = 0.7
          }
        }
      },
      stack_size = 5
    }
  }
)