data:extend(
  {
    {
      type = "recipe",
      name = "nanobot-bullet-magazine",
      enabled = false,
      energy_required = 3,
      ingredients =
      {
        {"copper-plate", 10},
        {"steel-plate", 2},
        {"electronic-circuit", 1},
        {"iron-plate", 1}
      },
      result = "nanobot-bullet-magazine"
    },
    --[[{
      type = "recipe",
      name = "nanobot-bullet-magazine-2",
      enabled = false,
      energy_required = 3,
      ingredients =
      {
        {"piercing-bullet-magazine", 3},
        {"steel-plate", 1},
        {"electronic-circuit", 1},
        {"iron-plate", 1}
      },
      result = "nanobot-bullet-magazine"
    },--]]
    {
      type = "recipe",
      name = "explosive-rocket-mk2",
      category = "crafting-with-fluid",
      enabled = false,
      energy_required = 6,
      ingredients =
      {
        {"explosive-rocket", 1},
        {type="fluid", name="sulfuric-acid", amount=3},
        {"explosives", 2},
        {"iron-plate", 1},
      },
      result = "explosive-rocket-mk2"
    },
    {
      type = "recipe",
      name = "buggy",
      enabled = false,
      energy_required = 2,
      ingredients =
      {
        {"engine-unit", 16},
        {"iron-plate", 28},
        {"steel-plate", 12},
        {"advanced-circuit", 3}
      },
      result = "buggy"
    },
    {
      type = "recipe",
      name = "mini-nuke",
      category = "crafting-with-fluid",
      enabled = false,
      energy_required = 45,
      ingredients =
      {
        {"explosive-rocket-mk2", 30},
        {type="fluid", name="alien-extract", amount=15},
        {"alien-cpu", 1},
        {"explosives", 40},
      },
      result = "mini-nuke"
    },
    {
      type = "recipe",
      name = "mini-nuke-launcher",
      enabled = false,
      energy_required = 5,
      ingredients =
      {
        {"iron-plate", 10},
        {"iron-gear-wheel", 15},
        {"alien-cpu", 1}
      },
      result = "mini-nuke-launcher"
    },
    {
      type = "recipe",
      name = "alien-energy-shield-equipment",
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"energy-shield-mk2-equipment", 10},
        {"alien-cpu", 10}
      },
      result = "alien-energy-shield-equipment"
    },
    {
      type = "recipe",
      name = "alien-fusion-reactor-equipment",
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"alien-cpu", 100},
        {"fusion-reactor-equipment", 1}
      },
      result = "alien-fusion-reactor-equipment"
    },
    {
      type = "recipe",
      name = "laser-defense-mk2-equipment",
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"alien-cpu", 5},
        {"steel-plate", 10},
        {"laser-turret", 20}
      },
      result = "laser-defense-mk2-equipment"
    },
    {
      type = "recipe",
      name = "power-armor-mk3",
      category = "chemistry",
      enabled = false,
      energy_required = 25,
      ingredients = 
      {
        { "effectivity-module-3", 10},
        {"speed-module-4", 5}, 
        {"alien-cpu", 50}, 
        {"steel-plate", 100}, 
        {type="fluid", name="alien-extract", amount=100},
        {type="fluid", name="water", amount=15},
      },
      result = "power-armor-mk3"
    },
    {
      type = "recipe",
      name = "hvmg-turret",
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"advanced-circuit", 1},
        {"iron-gear-wheel", 20},
        {"copper-plate", 15},
        {"steel-plate", 5},
        {"iron-plate", 30}
      },
      result = "hvmg-turret"
    },
    {
      type = "recipe",
      name = "heavy-laser-turret",
      enabled = false,
      energy_required = 30,--20,
      ingredients =
      {
        {"steel-plate", 30},
        {"advanced-circuit", 20},
        {"alien-cpu", 1},
        {"battery", 30}
      },
      result = "heavy-laser-turret"
    },
  }
)