data:extend
(
  {
    {
        type = "technology",
        name = "hvmg-turret-damage-1",
        icon = "__gimprovements__/graphics/technology/hvmg-bonus-dmg.png",
        effects =
        {
          {
            type = "turret-attack",
            turret_id = "hvmg-turret",
            modifier = "0.25"
          }
        },
        prerequisites = {"hvmg-turret"},
        unit =
        {
          count = 200,
          ingredients =
          {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
            {"alien-science-pack", 1},
          },
          time = 30
        },
        upgrade = true,
        order = "e-p-a"
      },
      {
        type = "technology",
        name = "hvmg-turret-damage-2",
        icon = "__gimprovements__/graphics/technology/hvmg-bonus-dmg.png",
        effects =
        {
          {
            type = "turret-attack",
            turret_id = "hvmg-turret",
            modifier = "0.35"
          }
        },
        prerequisites = {"hvmg-turret-damage-1"},
        unit =
        {
          count = 250,
          ingredients =
          {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
            {"alien-science-pack", 1},
          },
          time = 30
        },
        upgrade = true,
        order = "e-p-b"
      },
      {
        type = "technology",
        name = "hvmg-turret-damage-3",
        icon = "__gimprovements__/graphics/technology/hvmg-bonus-dmg.png",
        effects =
        {
          {
            type = "turret-attack",
            turret_id = "hvmg-turret",
            modifier = "0.45"
          }
        },
        prerequisites = {"hvmg-turret-damage-2"},
        unit =
        {
          count = 300,
          ingredients =
          {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
            {"alien-science-pack", 1},
          },
          time = 45
        },
        upgrade = true,
        order = "e-p-c"
      },
      {
        type = "technology",
        name = "hvmg-turret-damage-4",
        icon = "__gimprovements__/graphics/technology/hvmg-bonus-dmg.png",
        effects =
        {
          {
            type = "turret-attack",
            turret_id = "hvmg-turret",
            modifier = "0.55"
          }
        },
        prerequisites = {"hvmg-turret-damage-3"},
        unit =
        {
          count = 350,
          ingredients =
          {
            {"science-pack-1", 2},
            {"science-pack-2", 2},
            {"science-pack-3", 2},
            {"alien-science-pack", 2},
            {"science-pack-5", 1},
          },
          time = 60
        },
        upgrade = true,
        order = "e-p-d"
      },
      
      -----------------------------------
      
      {
        type = "technology",
        name = "heavy-laser-turret-damage-1",
        icon = "__gimprovements__/graphics/technology/heavy-laser-bonus-dmg.png",
        effects =
        {
          {
            type = "ammo-damage",
            ammo_category = "heavy-laser-turret",
            modifier = "1"
          }
        },
        prerequisites = {"heavy-laser-turret"},
        unit =
        {
          count = 200,
          ingredients =
          {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
            {"alien-science-pack", 1},
          },
          time = 30
        },
        upgrade = true,
        order = "e-m-a"
      },
      {
        type = "technology",
        name = "heavy-laser-turret-damage-2",
        icon = "__gimprovements__/graphics/technology/heavy-laser-bonus-dmg.png",
        effects =
        {
          {
            type = "ammo-damage",
            ammo_category = "heavy-laser-turret",
            modifier = "1"
          }
        },
        prerequisites = {"heavy-laser-turret-damage-1"},
        unit =
        {
          count = 350,
          ingredients =
          {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
            {"alien-science-pack", 1},
          },
          time = 30
        },
        upgrade = true,
        order = "e-m-b"
      },
      {
        type = "technology",
        name = "heavy-laser-turret-damage-3",
        icon = "__gimprovements__/graphics/technology/heavy-laser-bonus-dmg.png",
        effects =
        {
          {
            type = "ammo-damage",
            ammo_category = "heavy-laser-turret",
            modifier = "1"
          }
        },
        prerequisites = {"heavy-laser-turret-damage-2"},
        unit =
        {
          count = 350,
          ingredients =
          {
            {"science-pack-1", 2},
            {"science-pack-2", 2},
            {"science-pack-3", 2},
            {"alien-science-pack", 1},
            {"science-pack-5", 1},
          },
          time = 45
        },
        upgrade = true,
        order = "e-m-c"
      },
      {
        type = "technology",
        name = "heavy-laser-turret-damage-4",
        icon = "__gimprovements__/graphics/technology/heavy-laser-bonus-dmg.png",
        effects =
        {
          {
            type = "ammo-damage",
            ammo_category = "heavy-laser-turret",
            modifier = "1"
          }
        },
        prerequisites = {"heavy-laser-turret-damage-3"},
        unit =
        {
          count = 500,
          ingredients =
          {
            {"science-pack-1", 2},
            {"science-pack-2", 2},
            {"science-pack-3", 2},
            {"alien-science-pack", 1},
            {"science-pack-5", 1},
          },
          time = 60
        },
        upgrade = true,
        order = "e-m-d"
      },
    }
)