data:extend(
  {
    {
      type = "item",
      name = "thermosolar-panel",
      icon = "__gimprovements__/graphics/icons/thermosolar-panel.png",
      flags = {"goes-to-quickbar"},
      subgroup = "energy",
      order = "d[solar-panel]-b[thermosolar-panel]",
      place_result = "thermosolar-panel",
      stack_size = 50
    },
    {
      type = "item",
      name = "alien-inserter",
      icon = "__gimprovements__/graphics/icons/alien-inserter.png",
      flags = {"goes-to-quickbar"},
      subgroup = "inserter",
      order = "e[alien-inserter]",
      place_result = "alien-inserter",
      stack_size = 50
    },
    {
      type = "item",
      name = "bursting-accumulator",
      icon = "__gimprovements__/graphics/icons/bursting-accumulator.png",
      flags = {"goes-to-quickbar"},
      subgroup = "energy",
      order = "e[accumulator]-b[bursting-accumulator]",
      place_result = "bursting-accumulator",
      stack_size = 50
    },
    {
      type = "item",
      name = "alien-cpu",
      icon = "__gimprovements__/graphics/icons/alien-cpu.png",
      flags = {"goes-to-main-inventory"},
      subgroup = "intermediate-product",
      order = "f[alien-cpu]",
      stack_size = 100
    },
    {
      type = "item",
      name = "battery-alien-charge-equipment",
      icon = "__gimprovements__/graphics/icons/battery-alien-charge-equipment.png",
      placed_as_equipment_result = "battery-alien-charge-equipment",
      flags = {"goes-to-main-inventory"},
      subgroup = "equipment",
      order = "c[battery]-c[battery-alien-charge-equipment]",
      stack_size = 50,
      default_request_amount = 10
    },
    {
      type = "item",
      name = "alien-transport-belt",
      icon = "__gimprovements__/graphics/icons/alien-transport-belt.png",
      flags = {"goes-to-quickbar"},
      subgroup = "belt",
      order = "a[transport-belt]-d[alien-transport-belt]",
      place_result = "alien-transport-belt",
      stack_size = 50
    },
    {
      type = "item",
      name = "alien-transport-belt-to-ground",
      icon = "__gimprovements__/graphics/icons/alien-transport-belt-to-ground.png",
      flags = {"goes-to-quickbar"},
      subgroup = "belt",
      order = "b[transport-belt-to-ground]-d[alien-transport-belt-to-ground]",
      place_result = "alien-transport-belt-to-ground",
      stack_size = 50
    },
    {
      type = "item",
      name = "alien-splitter",
      icon = "__gimprovements__/graphics/icons/alien-splitter.png",
      flags = {"goes-to-quickbar"},
      subgroup = "belt",
      order = "c[splitter]-d[alien-splitter]",
      place_result = "alien-splitter",
      stack_size = 50
    },
    {
      type = "item",
      name = "cargo-wagon-2",
      icon = "__gimprovements__/graphics/icons/cargo-wagon-2.png",
      flags = {"goes-to-quickbar"},
      subgroup = "transport",
      order = "a[train-system]-g[cargo-wagon]-a[extra-cargo]",
      place_result = "cargo-wagon-2",
      stack_size = 5
    },
    -------- SCIENCE -------
    {
      type = "tool",
      name = "science-pack-5",
      icon = "__gimprovements__/graphics/icons/science-pack-5.png",
      flags = {"goes-to-main-inventory"},
      subgroup = "science-pack",
      order = "c[science-pack-5]",
      stack_size = 200,
      durability = 1,
      durability_description_key = "description.science-pack-remaining-amount"
    },
    ------------- SCIENCE END -----------
    
    --[[
    {
      type = "repair-tool",
      name = "advance-repair-pack",
      icon = "__gimprovements__/graphics/icons/repair-pack.png",
      flags = {"goes-to-quickbar"},
      subgroup = "tool",
      order = "b[repair]-b[advance-repair-pack]",
      speed = 2,
      durability = 200,
      stack_size = 50
    },
    --]]
    {
      type = "item",
      name = "wireless-electric-pole",
      icon = "__gimprovements__/graphics/icons/wireless-electric-pole.png",
      flags = {"goes-to-quickbar"},
      subgroup = "energy-pipe-distribution",
      order = "a[energy]-d[wireless-electric-pole]",
      place_result = "wireless-electric-pole",
      stack_size = 50
    },
    {
      type = "item",
      name = "big-lamp",
      icon = "__gimprovements__/graphics/icons/big-lamp.png",
      flags = {"goes-to-quickbar"},
      subgroup = "energy",
      order = "c[light]-b[big-lamp]",
      place_result = "big-lamp",
      stack_size = 50
    },
  }
)